<?php

//
//  Database configuration
//

//
//  URI raíz de la aplicación
//

define('SCRIPTS_DIR', '/upload-server/v1'); 

$server = 'test';  // 'test' or 'production'

/*
if ($server == 'test' ) {
// Path root of Directory files in File System or Disc
define('DB_HOST', 'localhost');
define('DB_USER', 'root');
define('DB_PASSWORD', 'humanes'); 
define('DB_NAME', 'svelte-app1'); 
} else {
// In Server Linux
define('DB_HOST', 'localhost');
define('DB_USER', 'u637977917_factu');
define('DB_PASSWORD', 'humanes'); 
define('DB_NAME', 'linux-svelte-app1'); 
} 
*/
//referencia generado con MD5(uniqueid(<some_string>, true))
// define('API_KEY','3d524a53c110e4c22463b10ed32cef9d');

/**
 * API Response HTTP CODE
 * Used as reference for API REST Response Header
 *
 */
/*
200 	OK
201 	Created
304 	Not Modified
400 	Bad Request
401 	Unauthorized
403 	Forbidden
404 	Not Found
409     Conflict
422 	Unprocessable Entity
500 	Internal Server Error
*/

// Error messages to facilitate their translation

$errorMessages = array(
    "001" => "Authorization Token Missing",
    "002" => "The authorization token is incorrect",
    "003" => "Required field(s) or attribute(s) {1} is missing or empty",
    "004" => "",
    "005" => "",
    "006" => "",
    "007" => "",
    "008" => "",
    "009" => "",
    "010" => "",
    "011" => "",
    "012" => "",
    "013" => "",
    "014" => "",
    "015" => "",
    "016" => "",
    "017" => "",
    "018" => "",
    "019" => "",
    "020" => "",
    "021" => "",
    "022" => "",
    "023" => "",
    "024" => "",
    "025" => "",
    "026" => ""
);

